light-mode-image
Learn
API ReferenceParticipant verifier certificates

Create a participant verifier certificate

Roles

admindts-provider

Analytics Events

ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_CREATE_STARTECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_CREATE_SUCCESSECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_CREATE_FAIL
POST/v1/ecosystems/{ecosystemId}/participants/{participantId}/verifier-certificates

Create a new verifier certificate for the specified participant.

The certificatePem field cannot be modified once the certificate is created.

To maintain trust continuity across a certificate rotation, provide linkCertificateInfo to add this certificate as a successor to a previously uploaded certificate. Link certificates can only be added when the certificate is created, not when it is updated.

Analytic events

  • ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_CREATE_START
  • ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_CREATE_SUCCESS
  • ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_CREATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

participantId*string

The UUID of the participant

Formatuuid
ecosystemId*string

The UUID of the ecosystem

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants/497f6eca-6276-4993-bfeb-53cbbbba6f08/verifier-certificates" \  -H "Content-Type: application/json" \  -d '{    "certificatePem": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "certificateFingerprint": "string",  "certificatePem": "string",  "status": "Active",  "linkCertificateInfo": {    "issuerCertificateId": "23838a57-a5a0-4d6b-bac1-848c066a68a2",    "certificatePem": "string",    "certificateFingerprint": "string"  }}

How would you rate this page?